#include <string.h>
#include "defines.h"

int fn_ext2(oldname,newname,newext)
/* 拡張子補足 */
unchar *oldname,newname[],*newext;
{
unchar drv[MAXDRIVE],dir[MAXDIR],ext[MAXEXT];
int ret=0;
	strsfn(oldname,drv,dir,newname,ext);
	/* 拡張子が全く無い時のみ補足：拡張子なしファイルはfname.で表わす */
	/* ファイル名後ろの'.'がポイント */
	if (ext[0]==0 && oldname[strlen(oldname)-1]!='.') ret=1;
	strcat(newname,ret==1? newext:ext);
	return(ret);
}
